Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrStyle Class Reference

Pango style C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrStyle:

List of all members.

## Public Member Functions

Constructors

- AttrStyle (Style style=STYLE_NORMAL)
    Constructs a new font slant style attribute.

Accessors

- Style style () const
    Returns the slant style.

Methods

- void set_style (Style style)
    Sets the slant style.

## Detailed Description

Pango style C++ wrapper class.

AttrStyle wraps the style attribute (ATTR_STYLE).

## Constructor & Destructor Documentation

Xfc::Pango::AttrStyle::AttrStyle | ( | Style | style = `STYLE_NORMAL` | ) | `[explicit]`

Constructs a new font slant style attribute.

Parameters:

  | style | The slant style.

## Member Function Documentation

void Xfc::Pango::AttrStyle::set_style | ( | Style | style | ) |

Sets the slant style.

Parameters:

  | style | The new slant style.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3